Bug 1272252 - [abrt] evolution-data-server: g_hash_table_lookup_node(): evolution-source-registry killed by SIGABRT
[abrt] evolution-data-server: g_hash_table_lookup_node(): evolution-source-re...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fe24b82428551bb80ed821e8c92...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 17:20 EDT by Mikhail
Modified: 2016-12-20 10:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:00:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.31 KB, text/plain)
2015-10-15 17:20 EDT, Mikhail
no flags Details
File: cgroup (284 bytes, text/plain)
2015-10-15 17:20 EDT, Mikhail
no flags Details
File: core_backtrace (5.97 KB, text/plain)
2015-10-15 17:20 EDT, Mikhail
no flags Details
File: dso_list (19.38 KB, text/plain)
2015-10-15 17:20 EDT, Mikhail
no flags Details
File: environ (973 bytes, text/plain)
2015-10-15 17:20 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-15 17:20 EDT, Mikhail
no flags Details
File: maps (89.47 KB, text/plain)
2015-10-15 17:20 EDT, Mikhail
no flags Details
File: mountinfo (4.04 KB, text/plain)
2015-10-15 17:20 EDT, Mikhail
no flags Details
File: open_fds (1.01 KB, text/plain)
2015-10-15 17:20 EDT, Mikhail
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-10-15 17:20 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-10-15 17:20:24 EDT
Description of problem:
Occurs after Xorg crash

Version-Release number of selected component:
evolution-data-server-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-source-registry
crash_function: g_hash_table_lookup_node
executable:     /usr/libexec/evolution-source-registry
global_pid:     2977
kernel:         4.2.3-300.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 g_hash_table_lookup_node at ghash.c:373
 #5 g_hash_table_lookup at ghash.c:1147
 #6 signal_cb at gdbusobjectmanagerclient.c:995
 #7 emit_signal_instance_in_idle_cb at gdbusconnection.c:3701
 #12 dbus_server_run_server at e-dbus-server.c:232
 #13 ffi_call_unix64 at ../src/x86/unix64.S:76
 #14 ffi_call at ../src/x86/ffi64.c:525
 #15 g_cclosure_marshal_generic_va at gclosure.c:1600
 #16 _g_closure_invoke_va at gclosure.c:864
 #19 e_dbus_server_run at e-dbus-server.c:423
Comment 1 Mikhail 2015-10-15 17:20:28 EDT
Created attachment 1083435 [details]
File: backtrace
Comment 2 Mikhail 2015-10-15 17:20:30 EDT
Created attachment 1083436 [details]
File: cgroup
Comment 3 Mikhail 2015-10-15 17:20:31 EDT
Created attachment 1083437 [details]
File: core_backtrace
Comment 4 Mikhail 2015-10-15 17:20:33 EDT
Created attachment 1083438 [details]
File: dso_list
Comment 5 Mikhail 2015-10-15 17:20:35 EDT
Created attachment 1083439 [details]
File: environ
Comment 6 Mikhail 2015-10-15 17:20:37 EDT
Created attachment 1083440 [details]
File: limits
Comment 7 Mikhail 2015-10-15 17:20:39 EDT
Created attachment 1083441 [details]
File: maps
Comment 8 Mikhail 2015-10-15 17:20:41 EDT
Created attachment 1083442 [details]
File: mountinfo
Comment 9 Mikhail 2015-10-15 17:20:42 EDT
Created attachment 1083443 [details]
File: open_fds
Comment 10 Mikhail 2015-10-15 17:20:44 EDT
Created attachment 1083444 [details]
File: proc_pid_status
Comment 11 Milan Crha 2015-10-19 03:24:26 EDT
Thanks for a bug report. According to the backtrace, the crash happened due to an assertion:
>   assertion failed: (hash_table->ref_count > 0)
which happened on a D-Bus object
>   /org/gnome/OnlineAccounts/Accounts/account_1395493646_0
property change.

I guess this happened due to some error in the code, maybe causing a memory corruption due to writing to an already freed memory for some reason.

I can think of [1], which can affect all the evolution related processes, but I have no prove whether it's related at all.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=748996
Comment 12 Phoenix 2015-12-09 19:40:48 EST
Another user experienced a similar problem:

I've launched GNOME Settings then went for GNOME Online Accounts to add my primary Google account and i did so and left every option ON "gmail, calendar, contacts ect..." Then right away i added another Google account but this time however i unchecked all options but the Gmail option and that's when i got this error in question.

Thank you.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-source-registry
crash_function: g_hash_table_lookup_node
executable:     /usr/libexec/evolution-source-registry
global_pid:     2113
kernel:         4.2.6-301.fc23.x86_64
package:        evolution-data-server-3.18.2-2.fc23
reason:         evolution-source-registry killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Fedora End Of Life 2016-11-24 07:47:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 10:00:07 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.